document.addEventListener('DOMContentLoaded', () => {
  // Marquee hover interaction
  const marquee = document.querySelector('.marquee-track');
  const container = document.querySelector('.marquee-container');

  container.addEventListener('mouseenter', () => {
    marquee.style.animationPlayState = 'paused';
  });

  container.addEventListener('mouseleave', () => {
    marquee.style.animationPlayState = 'running';
  });

  // Dynamic edit button handler
  document.querySelectorAll('[data-edit]').forEach(button => {
    button.addEventListener('click', () => {
      const path = button.dataset.edit;
      window.location.href = `/edit?path=${encodeURIComponent(path)}`;
    });
  });

  // Smooth scroll for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});
